# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile
#表示proguard对代码进行迭代优化的次数，Android一般为5
#-optimizationpasses n

-keep class com.benyanyi.viewbind.*
-keep class com.benyanyi.viewbind.*{*;}
-keep class com.benyanyi.viewbind.annotation.*
-keep class com.benyanyi.viewbind.init.*
-keep class com.benyanyi.viewbind.inject.*
-keep class com.benyanyi.viewbind.listener.*

-keepattributes *Annotation*

-keepclassmembers class com.benyanyi.viewbind.annotation.*{*;}

-keepclassmembers class com.benyanyi.ViewBind.ViewBind.*{*;}

#-keep class com.benyanyi.ViewBind.ViewBind {
#    public <methods>;
#}
-keepattributes Signature

# 对于带有回调函数的onXXEvent、**On*Listener的，不能被混淆
-keepclassmembers class * {
    void *(**On*Listener);
}